=== debian/changelog ===
nomacs (3.8.0+dfsg-1mx15+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 22 Nov 2017 13:05:04 -0800
