=== debian/changelog ===
nomacs (3.10.2+dfsg-1) unstable; urgency=medium

  * Cherry-picked new upstream release 3.10.2.

 -- Alf Gaida <agaida@siduction.org>  Sun, 15 Jul 2018 23:40:50 +0200

nomacs (3.10.1+dfsg-1) unstable; urgency=medium

  * Cherry-picked new upstream release 3.10.1.
  * Bumped Standards to 4.1.5
  * Removed no longer needed cmake minimum version
  * Fixed patch version
  * moved ./debian/.gitignore to .
  * Upstream switched back to XDG configuration dirs for linux
    (Closes: #893677)

 -- Alf Gaida <agaida@siduction.org>  Sat, 07 Jul 2018 00:45:16 +0200

nomacs (3.8.1+dfsg-1) unstable; urgency=medium

  * Cherry-picked new upstream release 3.8.1.
  * Bump debhelper dependency to 11~
  * Bumped compat to 11, no changes needed
  * Bumped Standards to 4.1.4
  * Made VCS field canonical
  * Removed some trailing whitespaces from changelog
  * New version fixes the FTBFS (Closes: #896472)
  * Moved source.lintiian-overrides to source/lintian-overrides

 -- Alf Gaida <agaida@siduction.org>  Sun, 22 Apr 2018 18:49:22 +0200
