=== debian/control ===
--- 
+++ 
@@ -1,29 +1,27 @@
 Source: nomacs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 10),
-               cmake (>= 3.0.2),
+Build-Depends: debhelper (>= 11~),
+               cmake,
                lcov,
                libexiv2-dev,
                liblcms2-dev,
                libopencv-dev,
                libqt5svg5-dev,
-               libquazip-dev,
+               libquazip5-dev,
                libraw-dev,
                libtiff5-dev,
                libwebp-dev,
                qt5-qmake,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lxqt/nomacs.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/nomacs.git -b debian/sid
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/lxqt-team/nomacs
+Vcs-Git: https://salsa.debian.org/lxqt-team/nomacs.git
 Homepage: http://www.nomacs.org
 
 Package: nomacs
