## nomacs 3.12.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: nomacs
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                lcov,
                libexiv2-dev,
@@ -19,7 +20,7 @@
                qt5-qmake,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/lxqt-team/nomacs
 Vcs-Git: https://salsa.debian.org/lxqt-team/nomacs.git
 Homepage: http://www.nomacs.org
