## nomacs 3.12.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 
 # check cmake requirements
 cmake_minimum_required(VERSION 2.8)
+
 if(COMMAND cmake_policy)
 	cmake_policy(SET CMP0003 NEW)
 
@@ -17,7 +18,7 @@
 
 # needed for soname
 set(NOMACS_VERSION_MAJOR 3)
-set(NOMACS_VERSION_MINOR 10)
+set(NOMACS_VERSION_MINOR 12)
 set(NOMACS_VERSION_PATCH 0)
 set(NOMACS_VERSION ${NOMACS_VERSION_MAJOR}.${NOMACS_VERSION_MINOR})
 set(NOMACS_FULL_VERSION ${NOMACS_VERSION}.${NOMACS_VERSION_PATCH})
@@ -43,6 +44,7 @@
 option(ENABLE_RAW "Compile with raw images support (libraw)" ON)
 option(ENABLE_TIFF "Compile with multi-layer tiff" ON)
 option(ENABLE_QT_DEBUG "Disable Qt Debug Messages" ON)
+option(ENABLE_QUAZIP "Compile with QuaZip (allows opening .zip files)" ON)
 option(ENABLE_INCREMENTER "Run Build Incrementer" OFF)
 option(ENABLE_TRANSLATIONS "Compile Translations" OFF)
 option(ENABLE_READ_BUILD "Build nomacs for READ" OFF)
@@ -58,8 +60,6 @@
 if(APPLE)
 	option(ENABLE_QUAZIP "Compile with QuaZip (allows opening .zip files)" OFF)
 	message(STATUS "QuaZip disabled because you are using a mac")
-else()
-	option(ENABLE_QUAZIP "Compile with QuaZip (allows opening .zip files)" ON)
 endif()
 
 if(${ENABLE_READ_BUILD}) # cannot be incorporated into if one line above
@@ -77,13 +77,11 @@
 	endif()
 endif()
 
-if (ENABLE_QUAZIP)
-	message(STATUS "QuaZip enabled")
-endif()
-
 # load paths from the user file if exists
-if(EXISTS ${CMAKE_SOURCE_DIR}/CMakeUser.cmake)
-	include(${CMAKE_SOURCE_DIR}/CMakeUser.cmake)
+if (EXISTS ${CMAKE_SOURCE_DIR}/CMakeUserPaths.cmake)
+	include(${CMAKE_SOURCE_DIR}/CMakeUserPaths.cmake)
+elseif(MSVC)
+	message(WARNING "Could not find CMakeUserPaths.cmake - please use this file to specify your install directories (see CMakeUserPathsGit.cmake)")
 endif()
 
 include(CheckCXXCompilerFlag)
@@ -146,9 +144,10 @@
 	${CMAKE_CURRENT_SOURCE_DIR}/src/DkGui
 	${TIFF_INCLUDE_DIR}
 	${TIFF_CONFIG_DIR}
-	${QUAZIP_INCLUDE_DIRECTORY}
-	# ${ZLIB_INCLUDE_DIRS}
+	${QUAZIP_INCLUDE_DIR}
+	${QUAZIP_ZLIB_INCLUDE_DIR}
 	${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/libqpsd
+	${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/drif
 )
 
 if (APPLE) # todo: somehow add this to Mac.cmake or MacBuildTarget.cmake
@@ -185,28 +184,46 @@
 
 NMC_INSTALL()
 
+NMC_COPY_FILES()
+
 #debug for printing out all variables
 # get_cmake_property(_variableNames VARIABLES)
 # foreach (_variableName ${_variableNames})
 #     message(STATUS "${_variableName}=${${_variableName}}")
 # endforeach()
 
-message(STATUS "opencv libs: ${OpenCV_LIBS}")
-
 if(UNIX AND ENABLE_PLUGINS)
-	if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/plugins")
-		SET(NOMACS_FOUND true)
-		SET(NOMACS_VARS_ALREADY_SET true)
-		add_subdirectory(plugins)
+
+	if (NOT DEFINED ${PLUGINS_DIR})
+		set(PLUGINS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/plugins")
+		message(STATUS "setting plugins dir")
+	else ()
+		message(STATUS "${PLUGINS_DIR} is defined")
+	endif()
+
+	if (NOT EXISTS ${PLUGINS_DIR} AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/plugins")
+		set(PLUGINS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/plugins")
+	elseif (NOT EXISTS ${PLUGINS_DIR} AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/../../nomacs-plugins/src")
+		# set the snapcraft dir
+		set(PLUGINS_DIR "${CMAKE_CURRENT_SOURCE_DIR}/../../nomacs-plugins/src")
+	endif ()
+
+	if(EXISTS "${PLUGINS_DIR}")
+		message(STATUS "using plugin directory: ${PLUGINS_DIR}")
+		set(NOMACS_FOUND true)
+		set(NOMACS_VARS_ALREADY_SET true)
+		add_subdirectory(${PLUGINS_DIR} "${CMAKE_CURRENT_BINARY_DIR}/plugins")
 	else()
+		message(STATUS "I failed to locate plugins in: ${PLUGINS_DIR}")
 		message(WARNING "plugins directory not found, not building plugins. You have to check out the nomacs-plugins git to the 'plugins' folder if you want to build them")
+		SET(ENABLE_PLUGINS OFF)
 	endif()
 endif()
 
 # status
 MESSAGE(STATUS "")
 MESSAGE(STATUS "----------------------------------------------------------------------------------")
-MESSAGE(STATUS " ${PROJECT_NAME} - Image Lounge ${NOMACS_VERSION}  <http://www.nomacs.org>")
+MESSAGE(STATUS " ${PROJECT_NAME} - Image Lounge ${NOMACS_VERSION}  <https://nomacs.org>")
 MESSAGE(STATUS "")
 
 option(ENABLE_READ_BUILD "Build nomacs for READ" OFF)
@@ -230,9 +247,28 @@
     MESSAGE(STATUS " nomacs will be compiled with extended TIFF support ........... NO")
 ENDIF()
 
+IF(ENABLE_QUAZIP)
+    MESSAGE(STATUS " nomacs will be compiled with QuaZip support .................. YES")
+ELSE()
+    MESSAGE(STATUS " nomacs will be compiled with QuaZip support .................. NO")
+ENDIF()
+
+IF(USE_SYSTEM_QUAZIP)
+    MESSAGE(STATUS " nomacs will use system QuaZip ................................ YES")
+ELSE()
+    MESSAGE(STATUS " nomacs will use system QuaZip ................................ NO")
+ENDIF()
+
+IF(USE_SYSTEM_LIBQPSD)
+    MESSAGE(STATUS " nomacs will use system QPSD .................................. YES")
+ELSE()
+    MESSAGE(STATUS " nomacs will use system QPSD .................................. NO")
+ENDIF()
+
 IF(ENABLE_PLUGINS)
     MESSAGE(STATUS " nomacs will be compiled with plugin support .................. YES")
 ELSE()
     MESSAGE(STATUS " nomacs will be compiled with plugin support .................. NO")
 ENDIF()
+
 MESSAGE(STATUS "----------------------------------------------------------------------------------")
