=== debian/changelog ===
nomacs (3.12.0+dfsg-3) unstable; urgency=medium

  * Switched to gbp
  * Switched from debhelper to debhelper-compat (= 12), no changes needed
  * Bumped Standards-Version to 4.5.0, no changes needed
  * Fixed FTBFS (Closes: #950310)
  * Bumped year in d/copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 08 Feb 2020 18:57:04 +0100

nomacs (3.12.0+dfsg-2) unstable; urgency=medium

  * Removed not needed patches
  * Fixed debian/nomacs.install and debian/nomacs-l10n.install

 -- Alf Gaida <agaida@siduction.org>  Tue, 13 Nov 2018 20:20:42 +0100

nomacs (3.12.0+dfsg-1) unstable; urgency=medium

  * Cherry-picked new upstream release 3.12.0.
  * Removed no longer needed patches
  * Bumped Standards to 4.2.1, no changes needed
  * Added missed files and license to d/copyright
  * Removed no longer needed replacement for lena.jpg
  * Removed README.source and source/lintian-overrides for lena.jpg
  * Removed no longer needed WTFPL2 from copyright
  * Patch QtApplicationName and Organiztion - we don't change
    config names and paths with every release.
  * Added upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Oct 2018 22:55:23 +0200
