=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://github.com/nomacs/nomacs/releases .*/([\d\.]+)\.tar\.gz \
debian debian/repack.bash
