## nomacs 3.14+dfsg

=== debian/changelog ===
nomacs (3.14+dfsg-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Build against libheif-dev and enable support in debian/rules.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 16 Mar 2020 19:34:36 -0700
