=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: nomacs
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper (>= 11~),
                cmake,
                lcov,
                libexiv2-dev,
+               libheif-dev,
                liblcms2-dev,
                libopencv-dev,
                libqt5svg5-dev,
@@ -19,7 +21,7 @@
                qt5-qmake,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/nomacs
 Vcs-Git: https://salsa.debian.org/lxqt-team/nomacs.git
 Homepage: http://www.nomacs.org
@@ -28,14 +30,15 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         qt5-image-formats-plugins
+         qt5-image-formats-plugins,
+         nomacs-l10n (= ${source:Version})
 Breaks: libnomacscore3 (<< 3.6.1),
         libnomacsgui3 (<< 3.6.1),
         libnomacsloader3 (<< 3.6.1)
 Replaces: libnomacscore3 (<< 3.6.1),
           libnomacsgui3 (<< 3.6.1),
-          libnomacsloader3 (<< 3.6.1)
-Recommends: nomacs-l10n (= ${source:Version})
+          libnomacsloader3 (<< 3.6.1),
+# Recommends: nomacs-l10n (= ${source:Version})
 Description: image viewer with capability of syncing multiple instances
  nomacs is a free image viewer for Windows and Linux systems, which is
  licensed under the GNU General Public License v3. nomacs is small, fast and
