## nomacs 3.14.2+dfsg

=== debian/changelog ===
nomacs (3.14.2+dfsg-0.1~mx17+1) mx; urgency=medium

  * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 May 2020 21:42:02 -0700
