=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Build-Depends: debhelper (>= 11~),
                cmake,
                lcov,
+               libcurl4-gnutls-dev,
                libexiv2-dev,
                libheif-dev,
                liblcms2-dev,
@@ -16,6 +17,7 @@
                libqt5svg5-dev,
                libquazip5-dev,
                libraw-dev,
+               libssh-dev,
                libtiff5-dev,
                libwebp-dev,
                qt5-qmake,
