## nomacs 3.16.224

=== debian/changelog ===
nomacs (3.16.224-0mx21+1) mx; urgency=medium

  * Add heic & heif to desktop file
  * Add qt-heif-image-plugin Depends:

 -- Timothy E. Harris <maintainer@mxrepo.com>  Mon, 19 Apr 2021 16:43:09 -0400

nomacs (3.16.224-0mx21) mx; urgency=medium

  * New upstream release; build for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 26 Mar 2021 21:05:16 -0400
