=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: nomacs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
@@ -7,6 +7,7 @@
 Section: graphics
 Priority: optional
 Build-Depends: debhelper (>= 11~),
+               cdbs,
                cmake,
                lcov,
                libcurl4-gnutls-dev,
@@ -18,11 +19,13 @@
                libquazip5-dev,
                libraw-dev,
                libssh-dev,
-               libtiff5-dev,
+               libtiff-dev,
                libwebp-dev,
+               qt5-image-formats-plugins,
                qt5-qmake,
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
+               libzip-dev
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/nomacs
 Vcs-Git: https://salsa.debian.org/lxqt-team/nomacs.git
@@ -33,7 +36,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          qt5-image-formats-plugins,
-         nomacs-l10n (= ${source:Version})
+         nomacs-l10n (= ${source:Version}),
+         qt-heif-image-plugin
 Breaks: libnomacscore3 (<< 3.6.1),
         libnomacsgui3 (<< 3.6.1),
         libnomacsloader3 (<< 3.6.1)
