=== debian/changelog ===
nomacs (3.17.2206-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
  * Comment out dh_makeshlibs override in d/rules.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Jul 2021 13:31:29 -0700
