## nomacs 3.17.2206%2Bgit20230315

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: nomacs
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+# XSBC-Original-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               cdbs,
-               cmake,
+Build-Depends: cmake,
+               debhelper (>= 11~),
                lcov,
                libcurl4-gnutls-dev,
                libexiv2-dev,
@@ -21,11 +21,11 @@
                libssh-dev,
                libtiff-dev,
                libwebp-dev,
+               libzip-dev,
                qt5-image-formats-plugins,
-               qt5-qmake,
+#               qt5-qmake,
                qttools5-dev,
-               qttools5-dev-tools,
-               libzip-dev
+               qttools5-dev-tools
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/nomacs
 Vcs-Git: https://salsa.debian.org/lxqt-team/nomacs.git
@@ -33,18 +33,17 @@
 
 Package: nomacs
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: nomacs-l10n (= ${source:Version}),
+         qt-heif-image-plugin,
+         qt5-image-formats-plugins,
          ${misc:Depends},
-         qt5-image-formats-plugins,
-         nomacs-l10n (= ${source:Version}),
-         qt-heif-image-plugin
+         ${shlibs:Depends}
 Breaks: libnomacscore3 (<< 3.6.1),
         libnomacsgui3 (<< 3.6.1),
         libnomacsloader3 (<< 3.6.1)
 Replaces: libnomacscore3 (<< 3.6.1),
           libnomacsgui3 (<< 3.6.1),
-          libnomacsloader3 (<< 3.6.1),
-# Recommends: nomacs-l10n (= ${source:Version})
+          libnomacsloader3 (<< 3.6.1)
 Description: image viewer with capability of syncing multiple instances
  nomacs is a free image viewer for Windows and Linux systems, which is
  licensed under the GNU General Public License v3. nomacs is small, fast and
