## nomacs 3.17.2206+dfsg

=== debian/changelog ===
nomacs (3.17.2206+dfsg-2build1) lunar; urgency=medium

  * No-change rebuild against libtiff6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Feb 2023 04:27:20 +0000

nomacs (3.17.2206+dfsg-2) unstable; urgency=medium

  * Update Homepage (Closes: #974618).
  * Use libtiff-dev instead of libtiff5-dev as Build-Depends (Closes: #998316)

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 12 Jan 2023 11:58:31 +0800

nomacs (3.17.2206+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #974617).
  * Bump Standards-Version to 4.6.2:
    * Add "Rules-Requires-Root: no" in d/control.
  * Bump compat to 13:
    * Remove unnecessary --fail-missing in d/rules.
    * Remove unnecessary -Wl,--as-needed in d/rules.
  * Use Files-Excluded to generate DFSG tarball.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 05 Jan 2023 23:51:37 +0800
