=== debian/control ===
--- 
+++ 
@@ -1,49 +1,43 @@
 Source: nomacs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-# XSBC-Original-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: cmake,
-               debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                lcov,
-               libcurl4-gnutls-dev,
                libexiv2-dev,
-               libheif-dev,
                liblcms2-dev,
                libopencv-dev,
                libqt5svg5-dev,
                libquazip5-dev,
                libraw-dev,
-               libssh-dev,
                libtiff-dev,
                libwebp-dev,
-               libzip-dev,
-               qt5-image-formats-plugins,
-#               qt5-qmake,
+               qt5-qmake,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/lxqt-team/nomacs
 Vcs-Git: https://salsa.debian.org/lxqt-team/nomacs.git
-Homepage: http://www.nomacs.org
+Homepage: https://nomacs.org/
+Rules-Requires-Root: no
 
 Package: nomacs
 Architecture: any
-Depends: nomacs-l10n (= ${source:Version}),
-         qt-heif-image-plugin,
-         qt5-image-formats-plugins,
+Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${shlibs:Depends}
+         qt5-image-formats-plugins
 Breaks: libnomacscore3 (<< 3.6.1),
         libnomacsgui3 (<< 3.6.1),
         libnomacsloader3 (<< 3.6.1)
 Replaces: libnomacscore3 (<< 3.6.1),
           libnomacsgui3 (<< 3.6.1),
           libnomacsloader3 (<< 3.6.1)
+Recommends: nomacs-l10n (= ${source:Version})
 Description: image viewer with capability of syncing multiple instances
  nomacs is a free image viewer for Windows and Linux systems, which is
  licensed under the GNU General Public License v3. nomacs is small, fast and
