## nomacs 3.17.2206+git20230315

=== debian/changelog ===
nomacs (3.17.2206+git20230315-0mx23) mx; urgency=medium

  * Latest git version build for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Tue, 11 Apr 2023 13:40:46 -0400
